%global __requires_exclude perl\\(AnyEvent::I3\\)

Name:           i3
Version:        4.24
Release:        %mkrel 1
Summary:        A tiling window manager
License:        BSD
Group:          Graphical desktop/Other
Url:            https://i3wm.org/
Source0:        https://i3wm.org/downloads/%{name}-%{version}.tar.xz
Source1:        %{name}-logo.svg
Patch0:         i3-fix-libev-path.patch

BuildRequires:  meson
BuildRequires:  pkgconfig(xcb)
BuildRequires:  pkgconfig(xcb-util)
BuildRequires:  x11-proto-devel
BuildRequires:  pkgconfig(xcb-keysyms)
BuildRequires:  xcb-util-wm-devel
BuildRequires:  pkgconfig(libev)
BuildRequires:  asciidoc
BuildRequires:  xmlto-notex
BuildRequires:  pkgconfig(xcursor)
BuildRequires:  pkgconfig(yajl)
BuildRequires:  doxygen
BuildRequires:  pkgconfig(libstartup-notification-1.0)
BuildRequires:  pkgconfig(libpcre2-8)
BuildRequires:  graphviz
BuildRequires:  pkgconfig(pango)
BuildRequires:  pkgconfig(xcb-cursor)
BuildRequires:  pkgconfig(xcb-xrm)
BuildRequires:  pkgconfig(xkbcommon)
BuildRequires:  pkgconfig(xkbcommon-x11)
Requires:       xterm
Recommends:     dmenu
Recommends:     i3status

%description
i3 is a tiling window manager, completely written from scratch. The target
platforms are GNU/Linux and BSD operating systems, our code is Free and Open
Source Software (FOSS) under the BSD license. i3 is primarily targeted at
advanced users and developers.

%package doc
Summary:	Documentation for %{name}
BuildArch:	noarch
Requires:	%{name} = %{version}-%{release}
Group:		Graphical desktop/Other

%description doc
Asciidoc and doxygen generated documentations for %{name}.

%prep
%autosetup -p1

%build
%meson -Dmans=true
%meson_build

doxygen pseudo-doc.doxygen
mv pseudo-doc/html pseudo-doc/doxygen

%install
%meson_install

mkdir -p %{buildroot}%{_iconsdir}/hicolor/scalable/apps
install -pm 0644 %{SOURCE1} %{buildroot}%{_iconsdir}/hicolor/scalable/apps/

%posttrans
# (ovitters) In posttrans, $1 is always equal to 1, even in the upgrade case.
# So just run this always:
if [ -e %{_datadir}/xsessions/31i3.desktop ]; then
	rm -rf %{_datadir}/xsessions/31i3.desktop
fi
if [ -e %{_sysconfdir}/X11/dm/Sessions/31i3.desktop ]; then
	rm -rf %{_sysconfdir}/X11/dm/Sessions/31i3.desktop
fi

%files
%doc RELEASE-NOTES-%{version}
%license LICENSE
%dir %{_sysconfdir}/i3
%config(noreplace) %{_sysconfdir}/i3/config
%config(noreplace) %{_sysconfdir}/i3/config.keycodes
%{_datadir}/xsessions/*.desktop
%{_bindir}/i3*
%dir %{_includedir}/i3
%{_includedir}/i3/ipc.h
%{_mandir}/man1/i3*
%{_iconsdir}/hicolor/scalable/apps/i3*.svg
%{_datadir}/applications/*.desktop
%exclude %{_docdir}/%{name}/

%files doc
%doc docs/*.{html,png} pseudo-doc/doxygen/


%changelog
* Mon Dec 30 2024 daviddavid <daviddavid> 4.24-1.mga10
+ Revision: 2131578
- new version: 4.24

* Mon Oct 30 2023 kekepower <kekepower> 4.23-1.mga10
+ Revision: 2002900
- Update to version 4.23

* Sun Apr 16 2023 daviddavid <daviddavid> 4.22-2.mga9
+ Revision: 1953261
- enable pcre2 support
- compile manpages

* Mon Jan 02 2023 kekepower <kekepower> 4.22-1.mga9
+ Revision: 1929216
- Update to version 4.22

* Sat Oct 29 2022 kekepower <kekepower> 4.21.1-1.mga9
+ Revision: 1900031
- Update to version 4.21.1

* Sun Sep 25 2022 kekepower <kekepower> 4.21-1.mga9
+ Revision: 1892189
- Update to version 4.21

* Thu Mar 31 2022 umeabot <umeabot> 4.20.1-2.mga9
+ Revision: 1837115
- Mageia 9 Mass Rebuild

* Thu Nov 04 2021 kekepower <kekepower> 4.20.1-1.mga9
+ Revision: 1753920
- Update to version 4.20.1

* Tue Oct 19 2021 kekepower <kekepower> 4.20-1.mga9
+ Revision: 1752170
- Update to version 4.20

* Mon Mar 01 2021 kekepower <kekepower> 4.19.2-1.mga9
+ Revision: 1695638
- Update to version 4.19.2

* Tue Dec 29 2020 sander85 <sander85> 4.19-1.mga8
+ Revision: 1665404
- New version: 4.19

* Tue Oct 20 2020 kekepower <kekepower> 4.18.3-1.mga8
+ Revision: 1637384
- Update to version 4.18.3

* Fri Jul 31 2020 kekepower <kekepower> 4.18.2-1.mga8
+ Revision: 1610037
- Update to version 4.18.2
+ ovitters <ovitters>
- fix usage of  in posttrans

* Sun Apr 26 2020 shlomif <shlomif> 4.18.1-1.mga8
+ Revision: 1572312
- New version 4.18.1

* Wed Feb 19 2020 shlomif <shlomif> 4.18-1.mga8
+ Revision: 1544892
- New version 4.18

* Tue Feb 18 2020 umeabot <umeabot> 4.17.1-2.mga8
+ Revision: 1539602
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon Dec 09 2019 shlomif <shlomif> 4.17.1-1.mga8
+ Revision: 1465365
- New version 4.17.1

* Tue Aug 06 2019 kekepower <kekepower> 4.17-1.mga8
+ Revision: 1427772
- Update to version 4.17

* Sun Feb 10 2019 sander85 <sander85> 4.16.1-1.mga7
+ Revision: 1365158
- New version: 4.16.1

* Tue Jan 01 2019 kekepower <kekepower> 4.16-1.mga7
+ Revision: 1347787
- Update to version 4.16

* Sun Sep 23 2018 umeabot <umeabot> 4.15-2.mga7
+ Revision: 1298244
- Mageia 7 Mass Rebuild

* Sat Mar 10 2018 sander85 <sander85> 4.15-1.mga7
+ Revision: 1208053
- New version: 4.15

* Sun Nov 19 2017 sander85 <sander85> 4.14.1-1.mga7
+ Revision: 1177817
- New version: 4.14.1

* Fri Feb 24 2017 wally <wally> 4.13-3.mga6
+ Revision: 1087726
- remove generated xsessions .desktop file leftovers on update

* Tue Nov 22 2016 pterjan <pterjan> 4.13-2.mga6
+ Revision: 1068744
- Fix build on gnueabihf

* Thu Nov 10 2016 sander85 <sander85> 4.13-1.mga6
+ Revision: 1066296
- New version: 4.13 (synced with Fedora)

* Sat Aug 06 2016 sander85 <sander85> 4.12-2.mga6
+ Revision: 1044861
- Recommend i3status (doesn't work too well w/o it)

* Sat Apr 16 2016 shlomif <shlomif> 4.12-1.mga6
+ Revision: 1002985
- Add missing BR
- New version 4.12

* Thu Feb 04 2016 umeabot <umeabot> 4.7.2-5.mga6
+ Revision: 934977
- Mageia 6 Mass Rebuild
+ neoclust <neoclust>
- Use upstream xsession files

* Wed Oct 15 2014 umeabot <umeabot> 4.7.2-3.mga5
+ Revision: 740003
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 4.7.2-2.mga5
+ Revision: 680396
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Sat Feb 08 2014 dams <dams> 4.7.2-1.mga5
+ Revision: 585754
- new version 4.7.2
- remove useless patch
- remove useless BR ('flex', 'bison')
- add new BR ('xcb-cursor')

* Fri Oct 18 2013 umeabot <umeabot> 4.3-4.mga4
+ Revision: 505951
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 4.3-3.mga3
+ Revision: 354017
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 01 2012 fwang <fwang> 4.3-2.mga3
+ Revision: 323781
- rebuild for new pcre

* Wed Sep 26 2012 obgr_seneca <obgr_seneca> 4.3-1.mga3
+ Revision: 298274
- Fixed wrong include paths
- New version

* Sun Jun 03 2012 fwang <fwang> 4.2-2.mga3
+ Revision: 253728
- rebuild for new xcb-util

* Mon May 28 2012 obgr_seneca <obgr_seneca> 4.2-1.mga3
+ Revision: 247971
- add graphviz as BR
- add desktop file in file section
- New version 4.2

* Tue Feb 14 2012 obgr_seneca <obgr_seneca> 4.1.2-1.mga2
+ Revision: 208816
- new version 4.1.2

* Wed Jan 11 2012 obgr_seneca <obgr_seneca> 4.1.1-3.mga2
+ Revision: 194937
- new version 4.1.1

* Sun Dec 11 2011 obgr_seneca <obgr_seneca> 4.1-3.mga2
+ Revision: 180621
- removed xsession file (bug #3651)

* Fri Nov 25 2011 obgr_seneca <obgr_seneca> 4.1-2.mga2
+ Revision: 171883
- rebuild against new yajl

* Fri Nov 25 2011 obgr_seneca <obgr_seneca> 4.1-1.mga2
+ Revision: 171845
- added pcre as BR
- new version 4.1

* Mon Sep 12 2011 obgr_seneca <obgr_seneca> 4.0.2-1.mga2
+ Revision: 142661
-removed unneccessary %%post and %%postun section
- Added Requires to xterm
- Fixed typo in wmsession file creation
- changed BuildRequires from yajl to yajl-devel
- added wmsessions entry
- imported package i3

